# $Revision: 1.24 $, $Date: 2009/03/17 08:24:50 $
# TODO: Fix daemon status and stop (wicd dead but subsys locked but daemon running)
# TODO: Fix files list
Summary:	wired and wireless network manager
Summary(pl.UTF-8):	Zarządca sieci przewodowych i bezprzewodowych
Name:		wicd
Version:	1.5.9
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/wicd/%{name}-%{version}.tar.gz
# Source0-md5:	4743a30eb8e3898b8b1a319b0c373ce5
URL:		http://wicd.net/
# /etc/pld-release used to detect platform
BuildRequires:	issue
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	python-dbus
Requires:	python-pygobject
Requires:	python-pygtk-glade >= 2:2.0
Requires:	python-pygtk-gtk >= 2:2.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wicd is an open source wired and wireless network manager for Linux
which aims to provide a simple interface to connect to networks with a
wide variety of settings.

%description -l pl.UTF-8
Wicd jest zarządcą sieci przewodowych i bezprzewodowych dla Linuksa,
mającym zapewnić prosty interfejs do podłączania do sieci z
różnorakimi opcjami.

%prep
%setup -q
%{__python} setup.py configure \
	--pidfile /var/run/wicd.pid

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

# no other ar exists here
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{ar_EG,ar}
# bg_BG is empty, it will not be packaged
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{bg,bg_bogus}
# bogus? but see above
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{bg_PHO,bg}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{ca_ES,ca}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{cs_CZ,cs}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{da_DK,da}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{el_GR,el}
# duplicate of gl_ES
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/es_GL
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{et_EE,et}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{eu_ES,eu}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{gl_ES,gl}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{ko_KR,ko}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{ml_IN,ml}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{sl_SI,sl}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{sp_MX,es_MX}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{sv_SE,sv}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{te_IN,te}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{ua,uk}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{vi_VN,vi}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{fa_IR,fa}


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/wicd-client
%attr(755,root,root) %{_sbindir}/wicd
# NOTE: must be in /usr/lib even on 64bit systems
%{_prefix}/lib/%{name}
%attr(755,root,root) %{_prefix}/lib/%{name}/*.py
%dir %{py_sitescriptdir}/wicd
%{py_sitescriptdir}/wicd/*.py[co]
%{py_sitescriptdir}/Wicd-*.egg-info
%{_datadir}/%{name}
%{_datadir}/autostart/wicd-tray.desktop
%{_desktopdir}/wicd.desktop
%{_iconsdir}/hicolor/*/apps/wicd-client.*
%{_pixmapsdir}/%{name}
%{_sysconfdir}/wicd
%{_sysconfdir}/xdg/autostart/wicd-tray.desktop
/etc/dbus-1/system.d/wicd.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
/var/log/%{name}
%{_mandir}/man1/wicd-client.1*
%{_mandir}/man5/wicd-manager-settings.conf.5*
%{_mandir}/man5/wicd-wired-settings.conf.5*
%{_mandir}/man5/wicd-wireless-settings.conf.5*
%{_mandir}/man8/wicd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wicd.spec,v $
Revision 1.24  2009/03/17 08:24:50  dzeus
- up to 1.5.9

Revision 1.23  2009/02/08 21:04:34  cactus
- rel 2; set proper pidfile for rc-scripts - stop/restart works as needed

Revision 1.22  2009/01/25 16:32:19  matkor
- Version 1.5.8-1.

Revision 1.21  2008/10/26 20:56:17  matkor
- Version 1.5.4-1.

Revision 1.20  2008/10/17 20:09:08  matkor
- Version 1.5.3-1.

Revision 1.19  2008/10/03 18:06:25  arekm
- release 8

Revision 1.18  2008/09/26 04:16:06  ankry
- hopefullu fixed bg_PHO, rel. 7

Revision 1.17  2008/09/25 12:38:36  tommat
- rel 6, for rebuild without included system directories
- STBR

Revision 1.16  2008/09/09 11:09:47  pluto
- R: is not a BR:

Revision 1.15  2008/08/28 07:32:46  matkor
- BR python-devel ( Daniel Dawid Majewski )

Revision 1.14  2008/08/26 18:10:06  ankry
- hopefuly this bg is really bg

Revision 1.13  2008/08/26 17:41:52  qboosh
- fix locale naming insanity

Revision 1.12  2008/08/26 17:25:27  qboosh
- typo

Revision 1.11  2008/08/26 16:09:13  qboosh
- improved pl

Revision 1.10  2008/08/26 16:06:54  qboosh
- comment

Revision 1.9  2008/08/26 16:04:19  qboosh
- X11 Group, unified sf URL, pygtk version

Revision 1.8  2008/08/26 16:02:13  qboosh
- don't own other system dirs either

Revision 1.7  2008/08/26 13:32:47  gotar
- do not own %{_iconsdir}/hicolor directory, cosmetics

Revision 1.6  2008/08/12 11:13:17  matkor
- Release 5. Another forgotten R: python-dbus.

Revision 1.5  2008/08/12 06:47:31  matkor
- Release 4. More R, missing dir added.

Revision 1.4  2008/08/11 07:28:41  matkor
- Release 3. %{_prefix}/lib/%{module}/ must be used even on 64bit systems.

Revision 1.3  2008/08/11 06:46:05  matkor
- Release 2. BB: issue for system type detection.

Revision 1.2  2008/08/11 06:21:41  matkor
- chenged source to http://master.dl.sourceforge.net/sourceforge/...

Revision 1.1  2008/08/10 18:23:58  matkor
- Initial version 1.5.1-1.
